/* Hero Section CSS */
.hero {
    position: relative;
    width: 100%;
    height: 100vh;
    overflow: hidden;
}

.slide {
    position: absolute;
    inset: 0;

    opacity: 0;

    transition: opacity 1.5s ease-in-out;

    pointer-events: none;
}

.slide.active {
    opacity: 1;
    z-index: 1;

    pointer-events: auto;
}

.slide img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}


.hero-content {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    color: white;
    z-index: 5;
    width: 90%;
    padding: 0 1rem;
    max-width: 700px;
}

.hero-content h1 {
    font-size: 4rem;
    margin-bottom: 20px;
    color: var(--secondary-red-color);
}

.hero-content p {
    font-size: 1.2rem;
    line-height: 1.6;
    margin-bottom: 30px;
}

.hero-buttons {
    display: flex;
    justify-content: center;
    gap: 15px;
    flex-wrap: wrap;
}

/* END OF HERO SECTION CSS */

/* Certificates Section CSS */
.certificates {
    margin: -150px auto 10px auto;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-evenly;
}

.certificates img {
    width: 60%;
    z-index: 998;
}

.votedBest {
    text-align: center;
}

.votedBest p {
    color: var(--primary-red-color);
    font-size: 34px;
}

.curveUnderline {
    position: relative;
    /* bottom: 0; */
    /* left: 0; */

}

.curveUnderline::after {
    content: "";
    position: absolute;
    left: 0;
    right: 0;
    bottom: -0.5em;
    height: 1.1em;
    background-image: url('../images/underline.svg');
    background-size: 100% 100%;
    background-repeat: no-repeat;
    pointer-events: none;
    /* Allows clicks to pass through */
}

/* EXPRESS LUNCH and catering SPECIALS SECTION */
.express-lunch-catering-section {
    display: flex;
    width: 100%;
    gap: 20px;
    padding: 20px 0;
}

.div1,
.div2 {
    flex: 1;
    /* This makes both divs grow to fill equal available space */
    /* Optional styling  */
    padding: 20px;
    box-sizing: border-box;
    /* Ensures padding/border is included in the 50% width */
    align-content: center;
}

.express-lunch-grid {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 20px;
    padding-top: 20px;
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
}

.express-lunch-grid img {
    width: 100%;
    display: block;
}

.catering-grid {
    width: 100%;
    display: flex;
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    bottom: 0;
    left: 0;
}

.catering-grid img {
    width: 100%;
    display: block;
    border-radius: 30px;
    box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.837);
}

.expressLunchDescription {
    width: 100%;

}

/* RESERVATION SECTION  */
.storeImages {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 20px;
}

.storeImage img {
    width: 100%;
    border-radius: 25px;
    display: block;
    box-shadow: 0 0 10px 0 rgba(0, 0, 0, .5);
}

.storeImage {
    flex-basis: 35%;
}

.storeImage p {
    text-align: center;
    font-size: 22px;
}

.address {
    padding-top: 10px;
}

.address p {
    padding: 5px 0;
    font-size: 16px;
}

.address p:hover {
    color: red;
}


/* ///////// ALL MEDIA QUERIES ////////// */
@media (max-width: 768px) {
    .hero-buttons {
        display: grid;
    }

    .certificates {
        margin: -100px auto 10px auto;
    }

    .certificates img {
        width: 100%;
    }

    .hero-content h1 {
        font-size: 2.5rem;
        line-height: 1.1;
    }

    .hero-content p {
        font-size: 1rem;
    }

    .express-lunch-catering-section {
        flex-direction: column;
    }

    .express-lunch-grid,
    .catering-grid,
    .storeImages {

        display: flex !important;
        flex-direction: column !important;
        align-items: center;
    }

    .div1,
    .div2,
    .storeImage {
        width: 100% !important;
    }

    .cateringSection {
        display: grid;
        width: 100%;
        gap: 20px;
        padding: 20px 0;
    }

    .slide img,
    .slide {
        pointer-events: none;
    }
}